diff --git a/include/stlink/chipid.h b/include/stlink/chipid.h
index a5012e38..72094a73 100644
--- a/include/stlink/chipid.h
+++ b/include/stlink/chipid.h
@@ -52,6 +52,7 @@ enum stlink_stm32_chipids {
 	STLINK_CHIPID_STM32_L0_CAT5          = 0x447,
 	STLINK_CHIPID_STM32_F0_CAN           = 0x448,
 	STLINK_CHIPID_STM32_F7               = 0x449,
+	STLINK_CHIPID_STM32_F7XXXX           = 0x451,
 	STLINK_CHIPID_STM32_F410             = 0x458
 };
 
diff --git a/src/chipid.c b/src/chipid.c
index c3f1a927..546e2384 100644
--- a/src/chipid.c
+++ b/src/chipid.c
@@ -2,6 +2,17 @@
 #include "stlink/chipid.h"
 
 static const struct stlink_chipid_params devices[] = {
+        {
+            //RM0410 document was used to find these paramaters
+            .chip_id = STLINK_CHIPID_STM32_F7XXXX,
+            .description = "F76xxx device",
+            .flash_type = STLINK_FLASH_TYPE_F4,
+            .flash_size_reg = 0x1ff0f442,      // section 45.2
+            .flash_pagesize = 0x800,           // No flash pages
+            .sram_size = 0x5C000,              // "SRAM" byte size in hex from 
+            .bootrom_base = 0x00200000,        //! "System memory" starting address from 
+            .bootrom_size = 0xEDC0             //! @todo "System memory" byte size in hex from 
+        },
         {
             //RM0385 and DS10916 document was used to find these paramaters
             .chip_id = STLINK_CHIPID_STM32_F7,
